Name:           http-server
Version:        0.10.0
Release:        1%{?dist}
Summary:        A simple zero-configuration command-line http server

License:        MIT
URL:            https://github.com/indexzero/http-server
Source0:        https://registry.npmjs.org/%{name}/-/%{name}-%{version}.tgz
Patch0:         http-server-0.10.0-fix-shebang.patch

BuildRequires:  nodejs-packaging

BuildRequires:  npm(corser) >= 2.0.0
BuildRequires:  npm(corser) < 2.1

BuildRequires:  npm(http-proxy) >= 1.8.1
BuildRequires:  npm(http-proxy) < 2

BuildRequires:  npm(ecstatic) >= 2.0.0
BuildRequires:  npm(ecstatic) < 3

BuildRequires:  npm(union) >= 0.4.3
BuildRequires:  npm(union) < 0.5

BuildRequires:  npm(portfinder) >= 1.0.13
BuildRequires:  npm(portfinder) < 2

# fixed in prep from = 1.0.3
BuildRequires:  npm(colors) >= 1.0.3
BuildRequires:  npm(colors) < 2

BuildRequires:  npm(opener) >= 1.4.0
BuildRequires:  npm(opener) < 1.5

BuildRequires:  npm(optimist) >= 0.6
BuildRequires:  npm(optimist) < 0.7

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

%description
http-server is a simple, zero-configuration command-line http server. It is
powerful enough for production usage, but it's simple and hackable enough to be
used for testing, local development, and learning.

%prep
%autosetup -n package -p1
rm -rf node_modules
chmod +x bin/http-server
%nodejs_fixdep colors '^1.0.3'

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{name}
cp -pr package.json bin lib %{buildroot}%{nodejs_sitelib}/%{name}

mkdir -p %{buildroot}%{_bindir}
ln -s %{nodejs_sitelib}/%{name}/bin/http-server %{buildroot}%{_bindir}/http-server
ln -s %{nodejs_sitelib}/%{name}/bin/http-server %{buildroot}%{_bindir}/hs

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'

%files
%license LICENSE
%doc README.md public
%{nodejs_sitelib}/%{name}
%{_bindir}/http-server
%{_bindir}/hs


%changelog
* Tue Aug 22 2017 David Shea <dshea@redhat.com> - 0.10.0-1
- Initial package
